##Fractum
#~~~~~ obsidian_field ~~~~~
execute as @e[type=sheep] at @s positioned as @s if biome ~ ~ ~ obsidian_field run data merge entity @s {Color:15}

#~~~~~ illusion ~~~~~
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:cyan_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:lime_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:red_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:blue_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
#execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:purple_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break

#execute as @e[tag=break, tag=!fake] positioned as @s at @s run particle block cyan_stained_glass ~ ~ ~ 0.32 0.32 0.32 1 16 normal
execute as @e[tag=break, tag=!fake] positioned as @s at @s run playsound block.amethyst_block.break block @p ~ ~ ~ 10 1
execute as @e[tag=break, tag=!fake] positioned as @s at @s run tag @s add fake

#/give @p potion{CustomPotionColor:16106270,display:{Name:'[{"text":"Swamp witch brew","italic":false}]'},CustomPotionEffects:[{Id:24,Duration:6000,Amplifier:2},{Id:26,Duration:3200,Amplifier:1},{Id:4,Duration:3202,Amplifier:1}]} 1

##Vanilla

##Mobs
#~~~~~ mosquitoes ~~~~~
#~~~~~ desert_crocodile ~~~~~
execute as @e[type=silverfish] at @s positioned as @s if biome ~ ~ ~ desert run tag @s add crocodile
execute as @e[tag=crocodile] at @s positioned as @s run data merge entity @s {Silent:1}
effect give @e[tag=crocodile] minecraft:invisibility infinite 0 true

execute as @e[tag=crocodile] at @s positioned as @s unless data entity @s {Motion:[0.0d, -0.0784000015258789d, 0.0d]} run particle block sand ~ ~ ~ 0 0 0 0 1 normal

execute as @e[tag=crocodile] at @s positioned as @s if block ~ ~-1 ~ #sand run scoreboard players add @s crocodile_sound 1
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 12..15 run playsound minecraft:block.sand.break hostile @p[distance=..5] ~ ~ ~ 1 0.7
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 15.. run scoreboard players set @s crocodile_sound 0


execute as @e[type=minecraft:silverfish, tag=crocodile] positioned as @s at @p[distance=1.6..2] unless entity @e[type=minecraft:evoker_fangs,distance=..2] run summon minecraft:evoker_fangs
execute as @e[type=minecraft:silverfish, tag=crocodile] at @s positioned as @s run kill @e[type=minecraft:evoker_fangs, distance=..1]

#~~~~~ wind_skeleton ~~~~~
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run tag @s add wind
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run data merge entity @s {ArmorItems:[{Count:1,id:"leather_boots",tag:{display:{color:6192150},Enchantments:[{id:"feather_falling",lvl:4}]}},{},{},{Count:1,id:"leather_helmet",tag:{display:{color:6192150}}}],ArmorDropChances:[0.3f,0.0f,0.0f,0.0f]}
execute as @e[tag=wind] at @s positioned as @s if block ~ ~-1 ~ air run effect give @s slow_falling 1 0 false

#~~~~~ golden_zombie ~~~~~
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ nether_gold_ore run tag @s add husk

execute as @e[tag=husk] at @s positioned as @s run summon husk ~ ~ ~ {Tags: ["golden"],HandItems:[{Count:1,id:"golden_pickaxe",tag:{Enchantments:[{id:"fire_aspect",lvl:2}]}},{}],ArmorItems:[{},{},{Count:1,id:"golden_chestplate"},{}],ArmorDropChances:[0.0f,0.0f,0.1f,0.0f]}
execute as @e[tag=husk] at @s positioned as @s run kill @s
execute as @e[tag=golden] at @s positioned as @s run kill @e[type=item, limit=4, distance=..2]
execute as @e[tag=golden] at @s positioned as @s run tag @s remove golden